Subject: bug#36867: 26.2; gamegrid-add-scrore miss lower-is-better flag

From: Rolf Ade <[email-masked]>
Date: Wed, 31 Jul 2019 02:13:18 +0200

The function gamegrid-add-scrore is handy for games developer; they get
a high-score management system with one call. That includes a threshold
for the number of entries in the high-score file.

A consequence of that is, that an entry has be removed from the list if
a new, better one must be inserted. In this situation,
gamegrid-add-scrore currently always removes the "lowest" result.

This is good and well for "more is better" games. But is wrong for
"faster is better" games. An example:
https://github.com/calancha/Minesweeper

This feature omission is on lisp level. The in the emacs sources
included tool update-game-score (which is used by gamegrid, if it is
available) support reverse opperation.